# Update webhook configuration

Update the webhook configuration for this sponsor.

Only the fields provided in the request body will be updated.
The webhook secret cannot be changed via this endpoint.

Endpoint: PATCH /webhooks
Version: 0.29.6
Security: APIKeyHeader

## Request fields (application/json):

  - `url` (any)
    New webhook endpoint URL

  - `events` (any)
    New list of event types to subscribe to.

## Response 200 fields (application/json):

  - `webhook_id` (string, required)
    Unique webhook identifier

  - `url` (string, required)
    Webhook endpoint URL

  - `events` (array, required)
    Subscribed event types

  - `is_active` (boolean, required)
    Whether the webhook is active

  - `created_at` (string, required)
    Creation timestamp

  - `last_triggered_at` (any)
    Last time the webhook was triggered

## Response 404 fields (application/json):

  - `error` (string, required)

  - `code` (integer, required)

  - `trace_id` (string, required)

## Response 422 fields (application/json):

  - `detail` (array)

  - `detail.loc` (array, required)

  - `detail.msg` (string, required)

  - `detail.type` (string, required)

